Package net.shibboleth.idp.saml.saml2.profile.impl

# Class MapRequestedAttributesInAttributeConsumingService

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.saml.saml2.profile.impl.MapRequestedAttributesInAttributeConsumingService

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class MapRequestedAttributesInAttributeConsumingService extends AbstractProfileAction
Action that ensures that the attributes in the ACS (if any) are mapped.

## Field Summary

Fields
Modifier and Type
Field
Description
`private AttributeConsumingServiceContext`
`acsContext`
The context we use to get and put the `AttributeConsumingService`.
`private Function<ProfileRequestContext,AttributeConsumingServiceContext>`
`attributeConsumingServiceContextLookupStrategy`
strategy to get the `AttributeConsumingServiceContext`.
`private final org.slf4j.Logger`
`log`
Logger.
`private ReloadableService<AttributeTranscoderRegistry>`
`transcoderRegistry`
The registry of decoding rules.

## Constructor Summary

Constructors
Constructor
Description
`MapRequestedAttributesInAttributeConsumingService()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`
`void`
`setAttributeConsumingServiceContextLookupStrategy(Function<ProfileRequestContext,AttributeConsumingServiceContext> strategy)`
Set the strategy to locate the `AttributeConsumingServiceContext` from the `ProfileRequestContext`.
`void`
`setTranscoderRegistry(ReloadableService<AttributeTranscoderRegistry> registry)`
Sets the service which provides attribute decoding rules.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

### attributeConsumingServiceContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,AttributeConsumingServiceContext> attributeConsumingServiceContextLookupStrategy
strategy to get the `AttributeConsumingServiceContext`.

### transcoderRegistry

@NonnullBeforeExec private ReloadableService<AttributeTranscoderRegistry> transcoderRegistry
The registry of decoding rules.

### acsContext

private AttributeConsumingServiceContext acsContext
The context we use to get and put the `AttributeConsumingService`.

## Constructor Details

### MapRequestedAttributesInAttributeConsumingService

public MapRequestedAttributesInAttributeConsumingService()
Constructor.

## Method Details

### setAttributeConsumingServiceContextLookupStrategy

public void setAttributeConsumingServiceContextLookupStrategy(@Nonnull Function<ProfileRequestContext,AttributeConsumingServiceContext> strategy)
Set the strategy to locate the `AttributeConsumingServiceContext` from the `ProfileRequestContext`.

Parameters:
  `strategy` - lookup strategy

### setTranscoderRegistry

public void setTranscoderRegistry(@Nonnull ReloadableService<AttributeTranscoderRegistry> registry)
Sets the service which provides attribute decoding rules.

Parameters:
  `registry` - the registry service

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doPreExecute` in class `AbstractConditionalProfileAction`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`